#ifndef __G_PIPELINE_H__
#define __G_PIPELINE_H__

#include <gear/graphics/renderer.h>
#include <sokol/sokol_gfx.h>

// src/graphics/renderer/pipeline/create.c
sg_pipeline g_pipeline_create(sg_shader shader, sg_vertex_layout_state layout);

// src/graphics/renderer/pipeline/use.c
void g_pipeline_bind(g_renderer* renderer, sg_pipeline pipeline);

#endif
